Bug 889470 - updates-testing shouldn't be enabled by default
Summary: updates-testing shouldn't be enabled by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F18Blocker, F18FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2012-12-21 10:27 UTC by Kamil Páral
Modified: 2013-01-03 15:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-03 13:04:56 UTC


Attachments (Terms of Use)
screenshot showing installed package after netinstall (18.46 KB, image/png)
2013-01-02 22:03 UTC, Steve Tyler
no flags Details
anaconda.packaging.log (265.64 KB, text/plain)
2013-01-02 22:41 UTC, Steve Tyler
no flags Details

Description Kamil Páral 2012-12-21 10:27:12 UTC
Description of problem:
In anaconda 18.37.6 netinst I have updates-testing repo enabled by default (and it can't be disabled, but that's another story). If I understand the process correctly, we're aiming for F18 RC, and therefore updates-testing should _not_ be enabled by default.

Version-Release number of selected component (if applicable):
anaconda 18.37.6

Steps to Reproduce:
1. boot netinst
2. look into /tmp/package.log, updates-testing repo is enabled

Comment 1 Kamil Páral 2012-12-21 10:27:59 UTC
I assume this is blocking the release, marking as such.

Comment 2 Brian Lane 2012-12-21 17:03:34 UTC
This is not handled by anaconda. It is included as part of the build process and will be removed for the final build.

Comment 3 Steve Tyler 2012-12-23 20:59:35 UTC
More precisely, the fedora-release package is updated.

This command was run from F17:

$ sudo repoquery fedora-release --releasever=18 --show-dupes --enablerepo=updates-testing
fedora-release-0:18-0.8.noarch
fedora-release-0:18-1.noarch

The yum repo files are in the package:
$ rpm -ql fedora-release

Comment 4 Steve Tyler 2012-12-23 21:35:59 UTC
(In reply to comment #3)
> More precisely, the fedora-release package is updated.
...

There appears to be a pro forma bug for that purpose:
Bug 889044 - need to disable updates-testing for final

Comment 5 Kamil Páral 2013-01-02 09:46:34 UTC
I have performed a new netinst installation with the new fedora-release package (with updates-testing disabled) and anaconda still installs from updates-testing. This might need a new TC?

Anyway, we still need to track it, I'm reopening this bug. Please consider this bug report a formality only, it's just a reminder/safeguard and will be closed once a new compose is working properly.

Brian, if you want to reassign it to a different component, like lorax or something, please feel free to do so. Thanks.

Comment 6 Adam Williamson 2013-01-02 18:00:57 UTC
Discussed at 2013-01-02 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2013-01-02/f18final-blocker-review-8.2013-01-02-17.03.log.txt . Accepted as a blocker per criterion "A fedora-release package containing the correct names, information and repository configuration for a final Fedora release (as opposed to a pre-release) must be present on ISO media while the appropriately versioned generic-release package must be available in the online release repository".

Comment 7 Dennis Gilmore 2013-01-02 21:21:24 UTC
the fix for this is already pushed stable

Comment 8 Steve Tyler 2013-01-02 22:03:31 UTC
Created attachment 671726 [details]
screenshot showing installed package after netinstall

Packages from updates-testing are still being installed with a net install. As the attached screenshot shows, fedora-release is from the fedora repository, but the kernel and glibc packages are from the updates-testing repository.

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-4.img -cdrom ~/xfr/fedora/F18/F18-Final/TC3/Fedora-18-TC3-x86_64-netinst.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Comment 9 Steve Tyler 2013-01-02 22:41:41 UTC
Created attachment 671730 [details]
anaconda.packaging.log

The fedora-release package is installed early, but it really needs to be installed first ...

[snippet from attached anaconda.packaging.log]
...
16:29:41,932 INFO packaging: running transaction
16:29:46,759 INFO packaging: Installing libgcc-4.7.2-8.fc18.x86_64 (1/234)
16:29:46,934 INFO packaging: Installing setup-2.8.57-1.fc18.noarch (2/234)
16:29:47,156 INFO packaging: Installing filesystem-3.1-2.fc18.x86_64 (3/234)
16:29:48,349 INFO packaging: Installing kbd-misc-1.15.3-6.fc18.noarch (4/234)
16:29:50,968 INFO packaging: Installing hwdata-0.242-1.fc18.noarch (5/234)
16:29:52,347 INFO packaging: Installing basesystem-10.0-7.fc18.noarch (6/234)
16:29:52,447 INFO packaging: Installing ncurses-base-5.9-7.20121017.fc18.x86_64 (7/234)
16:29:52,712 INFO packaging: Installing fedora-release-18-1.noarch (8/234)
16:29:52,860 INFO packaging: Installing ca-certificates-2012.85-2.fc18.noarch (9/234)
...

Comment 10 Steve Tyler 2013-01-02 23:03:49 UTC
The net install CD has its own copies of the yum repo files in
/etc/anaconda.repos.d/. 

This bug should not be closed until the next build is tested.

Comment 11 Kamil Páral 2013-01-03 09:29:00 UTC
The purpose of this bug is to have it open until we have a compose (TC4) that has updates-testing disabled by default. Reopening. We can test and close once TC4 is out and works OK.

Comment 12 Kamil Páral 2013-01-03 13:04:56 UTC
This is fixed in TC4.

Comment 13 Steve Tyler 2013-01-03 15:02:11 UTC
Also verified with Fedora-18-TC4-x86_64-netinst.iso:

1. Complete net install (minimal or desktop), reboot, login.
2. # yum repolist all
3. # yum list extras

Step 2 shows "fedora" and "updates" enabled, "updates-testing" disabled.
Step 3 shows no extra packages.


Note You need to log in before you can comment on or make changes to this bug.